Package SimPy :: Module SimulationTrace :: Class Trace

[hide private]
[frames] | no frames]

# Class Trace

source code

       object --+
                |
    Lister.Lister --+
                    |
                   Trace

Instance Methods | [hide private]

`` | __init__(self, start=0, end=10000000000L, toTrace=["hold","activate","cancel","reactivate","passivate","request","release","interrupt","terminated","waitevent","queueevent","signal","waituntil","put","get"], outfile=sys.stdout) x.__init__(...) initializes x; see x.__class__.__doc__ for signature
`` | treset(self)
`` | tchange(self, **kmvar)
`` | tstart(self)
`` | tstop(self)
`` | ifTrace(self, cond)
`` | recordEvent(self, command, whole)
`` | recordInterrupt(self, who, victim)
`` | recordCancel(self, who, victim)
`` | recordActivate(self, who, when, prior)
`` | recordReactivate(self, who, when, prior)
`` | recordSignal(self, evt)
`` | tterminated(self, who)
`` | ttext(self, par)
Inherited from `Lister.Lister`: `__repr__`, `__str__`, `attrnames` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Methods | [hide private]

`` | thold(self, par)
`` | trequest(self, par)
`` | trelease(self, par)
`` | tpassivate(self, par)
`` | tactivate(self, par)
`` | twaitevent(self, par)
`` | tqueueevent(self, par)
`` | tsignal(self, evt)
`` | twaituntil(self, par)
`` | tget(self, par)
`` | tput(self, par)

Class Variables | [hide private]

`` | commands = `{1: 'hold', 2: 'passivate', 3: 'request', 4: 'releas...`
`` | commandsproc = `{1: <bound method type.thold of <class 'SimPy.Simula...`
Inherited from `Lister.Lister`: `indent`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, start=0, end=10000000000L, toTrace=["hold","activate","cancel","reactivate","passivate","request","release","interrupt","terminated","waitevent","queueevent","signal","waituntil","put","get"], outfile=sys.stdout)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

  Overrides: object.__init__
    (inherited documentation)

### treset(self)

source code

None

### tchange(self, **kmvar)

source code

None

### tstart(self)

source code

None

### tstop(self)

source code

None

### ifTrace(self, cond)

source code

None

### thold(self, par)
Class Method

source code

None

### trequest(self, par)
Class Method

source code

None

### trelease(self, par)
Class Method

source code

None

### tpassivate(self, par)
Class Method

source code

None

### tactivate(self, par)
Class Method

source code

None

### twaitevent(self, par)
Class Method

source code

None

### tqueueevent(self, par)
Class Method

source code

None

### tsignal(self, evt)
Class Method

source code

None

### twaituntil(self, par)
Class Method

source code

None

### tget(self, par)
Class Method

source code

None

### tput(self, par)
Class Method

source code

None

### recordEvent(self, command, whole)

source code

None

### recordInterrupt(self, who, victim)

source code

None

### recordCancel(self, who, victim)

source code

None

### recordActivate(self, who, when, prior)

source code

None

### recordReactivate(self, who, when, prior)

source code

None

### recordSignal(self, evt)

source code

None

### tterminated(self, who)

source code

None

### ttext(self, par)

source code

None

Class Variable Details | [hide private]

### commands

None

  Value:

        {1: 'hold',
         2: 'passivate',
         3: 'request',
         4: 'release',
         5: 'waitevent',
         6: 'queueevent',
         7: 'waituntil',
         8: 'get',
        ...

### commandsproc

None

  Value:

        {1: <bound method type.thold of <class 'SimPy.SimulationTrace.Trace'>>
        ,
         2: <bound method type.tpassivate of <class 'SimPy.SimulationTrace.Tra
        ce'>>,
         3: <bound method type.trequest of <class 'SimPy.SimulationTrace.Trace
        '>>,
         4: <bound method type.trelease of <class 'SimPy.SimulationTrace.Trace
        '>>,
        ...